--- title: "Get Activation List" slug: "compute-cloudfunctions-v2-getactivationlist" updated: 2026-09-17T10:05:57Z published: 2026-09-17T10:05:57Z canonical: "api.ncloud-docs.com/compute-cloudfunctions-v2-getactivationlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Activation List Available in Classic and VPC Get the list of results from running an action for a month. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /ncf/api/v2/activations | Note Singapore and Japan Regions are available only in the VPC environment. ### Request headers For information about the headers common to all Cloud Functions APIs, see [Cloud Functions request headers](/docs/en/compute-cloudfunctions#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `platform` | String | Optional | Platform type - `vpc` (default) \| `classic` | | `pageSize` | Integer | Optional | Query result page size - 20 (default) | | `pageNo` | Integer | Optional | Query result page number - 1 (default) | | `start` | Integer | Optional | Timestamp of query start time (millisecond) - 1 month prior to the request time (default) | | `end` | Integer | Optional | Timestamp of query end time (millisecond) - Request time (default) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://cloudfunctions.apigw.ntruss.com/ncf/api/v2/activations?platform=vpc' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Sub Account Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `content` | Object | - | Action activation result information | | `content.activations` | Object | - | Execution result information: [activations](/docs/en/compute-cloudfunctions-v2-getactivationlist#activations) | | `content.totalCount` | Integer | - | Execution result count | #### `activations` The following describes `activations`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `activationId` | String | - | Action execution result ID | | `duration` | Integer | - | Time taken to execute the action (millisecond) | | `status` | String | - | Action status | ### Response status codes For information about the HTTP status codes common to all Cloud Functions APIs, see [Cloud Functions response status codes](/docs/en/compute-cloudfunctions#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "content": { "activations": [ { "activationId": "18c70ad3a7804d25870ad3a7806d25cb", "duration": 199, "status": "success" } ], "totalCount": 1 } } ```